# Visualization Library

A lightweight C++ OpenGL middleware for 2D/3D graphics

[Home] [Tutorials] [All Classes] [Grouped Classes]

Classes | Namespaces | Functions

# D:/VL/BuildSystem/VL_DISTRO/Visualization_Library_SDK/src/vlGraphics/plugins/io3DS.hpp File Reference

`#include <vlGraphics/Actor.hpp>`
`#include <vlCore/ResourceLoadWriter.hpp>`
`#include <vlCore/ResourceDatabase.hpp>`
`#include <vlCore/String.hpp>`
`#include <vector>`

Go to the source code of this file.

## Classes

class | vl::LoadWriter3DS
| The LoadWriter3DS class is a ResourceLoadWriter capable of reading 3DS files. More...
class | vl::A3DSTexture
| The A3DSTexture class represents a texture in a 3DS file. More...
class | vl::A3DSMaterial
| The A3DSMaterial class represents a material in a 3DS file. More...
class | vl::A3DSTriFace
| The A3DSTriFace class represents a triangle in a 3DS file. More...
class | vl::A3DSMaterialFaceMapping
| The A3DSMaterialFaceMapping class represents the material/face mapping in a 3DS file. More...
class | vl::A3DSVertex
| The A3DSVertex class represents a vertex in a 3DS file. More...
class | vl::A3DSObject
| The A3DSObject class represents an object in a 3DS file. More...
class | vl::A3DSLoader
| The A3DSLoader class loads an Autodesk 3DS file and generates a vector of A3DSObject and A3DSMaterial objects. More...

## Namespaces

namespace | vl

| Visualization Library namespace.

## Functions

VLGRAPHICS_EXPORT ref < ResourceDatabase > | vl::load3DS (VirtualFile *file)
VLGRAPHICS_EXPORT ref < ResourceDatabase > | vl::load3DS (const String &path)

Visualization Library v2011.09.1162 Reference Documentation
Copyright 2005-2011 Michele Bosi. All rights reserved.
Updated on Thu Jan 26 2012 00:43:52.
Permission is granted to use this page to write and publish articles regarding Visualization Library.